<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.torproject</groupId>
  <artifactId>geoip</artifactId>
  <version>VERSION</version>
  <name>geoip</name>
  <description>A maven package of GeoIP Data from IPFire.</description>
  <url>https://gitlab.torproject.org/tor</url>
  <inceptionYear>2019</inceptionYear>
  <licenses>
    <license>
      <name>CC-BY-SA-4.0</name>
      <url>https://creativecommons.org/licenses/by-sa/4.0/</url>
      <comments>This applies to the IPFire location database.</comments>
    </license>
    <license>
      <name>BSD-3-clause</name>
      <url>https://gitlab.torproject.org/tpo/core/tor/-/blob/main/LICENSE</url>
      <comments>This applies to the Tor code that generates geoip and geoip6.</comments>
    </license>
  </licenses>
  <developers>
    <developer>
      <id>ipfire</id>
      <name>IPFire Location</name>
      <url>https://location.ipfire.org/</url>
    </developer>
    <developer>
      <id>torproject</id>
      <name>Tor Project</name>
      <url>https://www.torproject.org/</url>
    </developer>
    <developer>
      <id>guardianproject</id>
      <name>Guardian Project</name>
      <email>support@guardianproject.info</email>
      <url>https://guardianproject.info/</url>
    </developer>
  </developers>
  <scm>
    <connection>scm:git:https://git.torproject.org/tor.git</connection>
    <url>https://gitlab.torproject.org/tpo/core/tor</url>
  </scm>
  <issueManagement>
    <url>https://gitlab.torproject.org/tpo/network-health/metrics/geoip-data/-/issues</url>
  </issueManagement>

  <repositories>
    <repository>
      <id>debian</id>
      <url>file:///usr/share/maven-repo</url>
    </repository>
    <repository>
      <id>gitlab-maven</id>
      <url>${env.CI_API_V4_URL}/projects/${env.CI_PROJECT_ID}/packages/maven</url>
    </repository>
  </repositories>

  <distributionManagement>
    <repository>
      <id>gitlab-maven</id>
      <url>${env.CI_API_V4_URL}/projects/${env.CI_PROJECT_ID}/packages/maven</url>
    </repository>
    <snapshotRepository>
      <id>gitlab-maven</id>
      <url>${env.CI_API_V4_URL}/projects/${env.CI_PROJECT_ID}/packages/maven</url>
    </snapshotRepository>
  </distributionManagement>

  <pluginRepositories>
    <pluginRepository>
      <id>debian</id>
      <url>file:///usr/share/maven-repo</url>
    </pluginRepository>
  </pluginRepositories>
</project>
